@import url("normalize.css");
@import url("base.css?v=1.35");

/* main styles */
body {
    position: relative;
    background: var(--bg-color);
    font-family: var(--font-family);
    font-size: 20px;
    font-weight: 400;
    color: var(--text-color);
}
header {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    transition: 0.45s background ease;
    z-index: 3;
}
header.fixed {
    animation: slideDown 0.65s ease-out;
    background: rgba(255, 255, 255, 0.75);
    backdrop-filter: blur(3px);
    box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.12);
}
.header-row {
    gap: 15px;
    padding: 25px 0;
    transition: 0.4s all ease-in-out;
}
header.fixed .header-row {
    padding: 15px 0;
    align-items: center;
}
.header-logo img {
    width: 66px;
    transition: 0.35s all ease;
}
header.fixed .header-logo img {
    width: 50px;
}
.header-menu {
    gap: 60px;
    margin-left: auto !important;
    margin-right: 90px !important;
}
.header-menu a {    
    font-size: 11px;
    text-transform: uppercase;
    color: var(--text-color);
}
.header-menu a:hover {
    color: var(--theme-color) !important;
}
.header-menu-parent {
    position: relative;
}
.header-submenu {
    display: none;
    position: absolute;
    width: 250px;
    background: var(--white);
    top: 100%;
    left: 0;
    box-shadow: 0 2px 4px 1px rgba(0, 0, 0, 0.2);
}
.header-menu-parent:hover .header-submenu {
    display: block;
}
.header-submenu > li > a {
    padding: 10px;
    display: block;
}
.header-submenu > li > a:hover {
    background: var(--text-color);
    color: #fff !important;
}
.header-contacts {
    gap: 20px;
}
.header-contact {
    color: var(--theme-color);
}
.header-contact svg {
    transition: 0.35s all ease;
}
.header-contact:hover svg {
    color: var(--text-color);
}
.header-contacts .btn {
    font-size: 12px;
}
.burger-button {
    display: none;
}
.hero {
    height: auto;
    aspect-ratio: 2 / 1;
}
.hero .container {
    height: 100%;
}
.hero-row {
    height: 100%;
    gap: 40px;
}
.hero-content {
    flex-grow: 1;
}
.hero-logo {
    width: 100%;
}
.hero-content h1 {
    text-align: right;
    font-size: 60px;
    font-weight: 400;
    line-height: 1;
    margin: 15px 0;    
}
.hero-pros {
    gap: 10px;
    margin-top: 50px;
    text-align: right;
}
.num-up {
        
    font-size: 25px;
    font-weight: 700;
    color: var(--theme-light);
}
.hero-content .btn {
    margin-top: auto;
    width: 60%;
}
.hero-img {
    width: 45%;
    flex-shrink: 0;
}
.hero-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.section-about {
    padding-top: 40px !important;
}
.about-wrap {
    gap: 70px;
}
.about-img {
    width: 420px;
    flex-shrink: 0;
}
.about-content {
    flex-grow: 1;
}
.about-accord {
    border-bottom: 1px solid var(--text-color);
}
.about-accord-header {
    padding-left: 200px;
}
.about-accord-header_inner {
    flex-grow: 1;
    font-size: 25px;
    font-weight: 700;
    color: var(--theme-light);
    gap: 20px;
    padding: 13px 0;
    text-transform: uppercase;
    cursor: pointer;
}
.about-accord-header_inner:after {
    content: '';
    display: block;
    width: 36px;
    height: 36px;
    background-image: url(../images/file.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    flex-shrink: 0;
}
.about-accord-text {
    padding: 20px 0 20px 200px;
    display: none;
}
.title-header {
    gap: 20px;
}
.title-header img {
    width: 120px;
    flex-shrink: 0;
}
.title-header .section-title {
    font-size: 48px;
    text-align: left;
    margin-bottom: 0;
}
.team-row {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 18px;
}
.team-item-img {
    aspect-ratio: 22 / 25;
    overflow: hidden;
}
.team-item-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.team-item-info {
    margin-top: 27px;
    border-top: 1px solid var(--text-color);
    padding-top: 3px;
}
.team-item-name {
    font-size: 28px;
    font-weight: 500;
    color: var(--theme-color);
}
.team-item-pos {
    font-size: 16px;
}
.project-slide {
    gap: 30px;
}
.project-slide-info {
    flex-grow: 1;
    gap: 20px;
}
.project-slide-desc {
  /*  font-size: 23px;
    color: var(--theme-light);
    font-weight: 700;*/
}
.project-slide-info .btn {
    margin-top: auto;
    width: fit-content;
}
.project-slide-img {
    width: 65%;
    flex-shrink: 0;
}
.project-slide-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.projects-slider-nav {
    gap: 20px;
    margin-top: 40px;
}
.projects-slider-btn, 
.projects-slider-pagin {
    position: static !important;
    margin: 0 !important;
}
.projects-slider-btn:after {
    display: none;
}
.projects-slider-btn {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--theme-color);
}
.cta-form-wrap .section-title {
    text-align: left;
}
.cta-form-wrap {
    width: 100%;
    max-width: 100%;
    padding-bottom: 160px;
}
.main-cta .cta-form-wrap {
    padding-left: 40%;
}
.cta-section-title {
    font-size: 40px;
    text-align: left;
    text-transform: uppercase;
}
.cta-form {
    margin-top: 22px;
    gap: 15px;
}
.form-group input,
.form-group textarea {
    padding: 17px 21px;
    width: 100%;
    border-radius: 30px;
    border: 1px solid var(--text-color);
    outline: none;
    transition: 0.35s all ease;
        
}
.form-group textarea {
    height: 187px;
}
.form-group input:focus {
    border-color: var(--theme-color);
}
.cta-form-wrap .btn {
    width: 100%;
    text-transform: uppercase;
    padding: 14px 20px;
}
footer {
    background: var(--theme-color);
    color: var(--theme-light);
    transition: transform .3s ease;
    padding-bottom: 60px;
    z-index: 2;
}
.footer-row {
    padding: 80px 0;
    gap: 330px;
    transition: 0.3s all ease-in-out;
}
.footer-item a.footer-tg {
    font-weight: 700;
    color: var(--theme-dark);
}
.footer-left {
    gap: 20px;
    flex-basis: 35%;
    flex-shrink: 0;
}
.footer-logo {
    width: 100px;
    flex-shrink: 0;
}
.footer-menu li {
    line-height: 1;
}
.footer-menu li a {
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
    color: var(--btn-text);
}
.footer-menu li a:hover {
    text-decoration: underline;
}
.footer-right {
    gap: 50px; 
    flex-grow: 1;   
}
.footer-socials a {
    font-size: 14px;
    color: var(--btn-text);
    text-transform: uppercase;
    text-decoration: underline;
}
.footer-socials a:hover {
    color: var(--text-color);
}
.footer-address {
    color: var(--btn-text);
    font-size: 14px;
    gap: 5px;
}
.footer-road {
    color: var(--btn-text);
    text-decoration: underline;
}
.footer-road:hover {
    color: var(--text-color);
}
.footer-tel {
    font-size: 18px;
    color: var(--btn-text);
    text-decoration: underline;
}
.footer-tel:hover {
    color: var(--text-color);
}
.footer-callback {
    gap: 3px;
    color: var(--btn-text);
    font-size: 14px;
    text-decoration: underline;
}
.service-header {
    gap: 20px;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid var(--text-color);
}
.service-header .section-title {
    margin-bottom: 0;
}
.service-header .btn {
    background: transparent;
    color: var(--theme-color);
}
.service-header:hover .btn {
    color: var(--text-color);
}
.about-wrap.service-wrap {
    gap: 0;
    padding-left: 30%;
}
.service-wrap .about-accord-header {
    padding-left: 0;
}
.service-wrap .about-accord-header_inner {
    font-size: 22px;
    text-transform: none;
}
.service-wrap .about-accord-text {
    padding: 20px 0;
}
.service-wrap .about-accord-text p {
    margin: 5px 0 0;
}
.service-wrap .about-accord-header_inner:after {
    width: 23px;
    height: 23px;
    background-image: url(../images/chevron-down.svg);
    transition: 0.35s all ease;
}
.service-wrap .about-accord-header_inner.active:after {
    transform: rotate(360deg);
    background-image: url(../images/chevron-up.svg);
}
.catalog-top {
    padding-top: 50px !important;
}
.project-page-img {
    width: 50%;
    max-width: 100%;
}
.work-page-info {
    margin-top: 43px;
    gap: 47px;
    margin-bottom: 127px;
}
.work-page-gallery {
    flex-wrap: wrap;
    flex-basis: 50%;
    flex-shrink: 0;
    gap: 10px;
}
.work-gallery-item {
    width: calc((100% - 20px) / 3);
    aspect-ratio: 1 / 1;
    overflow: hidden;
}
.work-gallery-item:first-child {
    aspect-ratio: 16 / 9;
}
.work-gallery-item img,
.work-gallery-item video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.work-gallery-item:first-child {
    width: 100%;
}
.work-page-desc {
    flex-grow: 1;
}
.work-page-task {
    font-size: 26px;
    line-height: 0.97;
    margin-bottom: 15px;
    font-weight: 400;
}
.work-page-text {
    font-weight: 400;
    margin-bottom: 30px;
}
.work-page-next {
    margin-top: auto;
    font-size: 20px;
    color: var(--theme-dark);
    text-decoration: underline;
    text-transform: uppercase;
}
.page-title {
    font-size: 147px;
    line-height: 0.9;
    text-transform: uppercase;
    margin-bottom: 17px;
    margin-left: 3em;
    text-indent: -3em;
}
.portfolio-page-text {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.17;
    margin-left: 40%;
    width: 490px;
}
.works-top {
    padding: 0 10%;
    gap: 100px;
}
.works-desc {
    font-weight: 400;
    flex-basis: 50%;
    flex-shrink: 0;
}
.contacts-desc {
    font-weight: 400;
}
.works-filters-wrap {
    gap: 60px;
    font-size: 14px;
    padding-top: 70px;
}
.works-filters {
    gap: 10px;
}
.works-filter-label {
    background: transparent;
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
}
.works-filter-label input {
    display: none;
}
.works-filter-label:hover span,
.works-filter-label.active {
    text-decoration: underline;
}
.works-list {
    display: grid;
    grid-auto-rows: 60px;
    grid-auto-flow: dense;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;    
    margin-top: 80px;
}
.work-item {
    border-radius: var(--border-radius);
    overflow: hidden;
}
.work-item:first-child,
.work-item:nth-child(6n + 1) {
    grid-column: span 1;
    grid-row: span 10;
}
.work-item:nth-child(6n + 2) {
    grid-column: span 2;
    grid-row: span 6;
}
.work-item:nth-child(6n + 3) {
    grid-column: 1; 
    grid-row: span 9;
}
.work-item:nth-child(6n + 4) {
    grid-column: span 2;
    grid-row: span 6;
}
.work-item:nth-child(6n + 5) {
    grid-column: span 1;
    grid-row: span 7;
}
.work-item:nth-child(6n) {
    grid-column: span 1;
    grid-row: span 7;
}
.work-item-media {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.work-item-media img,
.work-item-media video,
.work-item > img,
.work-item > video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.work-item > img,
.work-item > video {
    object-position: top;
}
.work-item-desc {
    background: rgba(0, 0, 0, 0.25);
    width: 100%;
    height: 100%;
    padding: 40px;
    color: var(--white);
    gap: 10px;
    transition: 0.4s background ease-in-out;
}
.work-item-desc div:first-child {
    font-size: 30px;
    font-weight: 700;
}
.work-item:hover .work-item-desc {
    background: rgba(0, 0, 0, 0.5);
}
.hero-image {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.hero-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.pitem-hero:before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.3);
    z-index: 1;
}
.hero-desc {
    width: 100%;
    height: 100%;
    padding: 150px;
    gap: 20px;
    color: var(--white);
    z-index: 2;
}
.hero-desc h1 {
    font-size: 72px;
    text-transform: uppercase;
}
.hero-intro {
    font-size: 30px;
}
.pitem-block-title {
    font-weight: 700;
    margin-bottom: 10px;
}
.single-filter {
    color: inherit;
}
.single-filter:hover {
    text-decoration: underline;
}
.pitem-desc {
    columns: 2;
    margin-top: 50px;
}
.work-slide {
    height: auto;
    color: var(--theme-dark);
}
.work-slide-media {
    width: 100%;
    max-width: 100%;
    height: 500px;
    align-self: flex-start;
}
.work-slide-media img,
.work-slide-media video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.work-slide-desc {
    padding: 25px 0;
}
.modal-slider-nav {
    gap: 15px;
    margin-bottom: 20px;
}
.modal-slider-nav .swiper-button-prev, 
.modal-slider-nav .swiper-button-next {
    position: static;
    height: 40px;
    width: 40px;
    margin: 0;
    color: var(--theme-dark);
}
.modal-slider-nav .swiper-button-prev:hover, 
.modal-slider-nav .swiper-button-next:hover {
    color: var(--theme-light);
}
.modal-slider-nav .swiper-button-prev svg, 
.modal-slider-nav .swiper-button-next svg {
    width: 40px;
    height: 40px;
}
.modal-slider-nav .swiper-button-prev:after, 
.modal-slider-nav .swiper-button-next:after {
    display: none;
}
.other-pagin,
.modal-pagin {
    position: static;
    padding-top: 30px;
}
.other-pagin .swiper-pagination-bullet,
.modal-pagin .swiper-pagination-bullet {
    width: 50px;
    height: 4px;
    border-radius: 2px;
    background: var(--theme-dark);
}
.contacts-top {
    margin-bottom: 50px;
}
.contacts-top h1 {
    font-size: 60px;
}
.contacts-wrap {
    gap: 100px;
}
.contacts-map {
    flex-basis: 50%;
    flex-shrink: 0;
    border-radius: var(--border-radius);
    overflow: hidden;
}
.contacts-data {
    flex-wrap: wrap;
    gap: 40px;
}
.contacts-data .footer-item a {
    color: var(--theme-dark);
}
.contacts-data .footer-item a:hover {
    color: var(--theme-light);
}
.works-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;    
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(3px);
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: 9999;
}
.work-modal-dialog {
    width: 100%;
    height: 100%;
    padding: 50px 0;
    overflow-y: auto;
}
.work-modal-body {
    position: relative;
    width: 90%;
    max-width: 100%;
    background: var(--white);
    border-radius: var(--border-radius);
    padding: 50px;
    margin: 0 auto;
}
.works-modal-close {
    position: absolute;
    background: var(--theme-dark);
    color: var(--white);
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 50px;
    line-height: 1;
    top: -20px;
    right: -20px;
    border-radius: var(--border-radius);
    cursor: pointer;
    transition: 0.35s all ease;
}
.works-modal-close:hover {
    background: var(--theme-light);
}
.works-modal-content {
    padding: 50px 0;
}
.work-modal-header {
    gap: 40px;
}
.works-modal-title {
    font-size: 28px;
    font-weight: 700;
}
.work-modal-items-wrap {
    margin-top: 40px;
}
.works-desc.service-desc {
    flex-basis: 100%;
}
.service-text {
    columns: 2;
    gap: 100px;
}
.mobile-menu {
    display: none;
}
.upcoming-project {
    width: 400px;
    aspect-ratio: 2 / 3;
    background-image: url(../images/upcoming.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.upcoming-project-title {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: var(--white);
    font-size: 2em;
    text-align: center;
    background: rgba(0, 0, 0, 0.3);
}
.upcoming-project .fancybox-button {
    color: var(--white);
}
.grecaptcha-badge {
    display: none !important;
}
.service-content {
    display: grid;
    gap: 50px;
    grid-template-columns: repeat(2, 1fr);
}
.service-infoblock {
    font-size: 16px;
    gap: 30px;
}
.service-infoblock-item {
    width: 100%;
}
.service-infoblock-item h4 {
    font-weight: 700;
}
.service-infoblock-delimeter {
    display: none !important;
    width: 20%;
    flex-shrink: 0;
}
.service-infoblock-delimeter svg {
    width: 100%;
}
.service-infoblock-text {
    font-size: 14px;
}
.service-infoblock-text ul {
    margin: 15px 0 0 0;
    padding-left: 20px;
}
.service-infoblock-text ul li:not(:last-child) {
    margin-bottom: 5px;
}
.service-infoblock-text p {
    margin: 15px 0 0 0;
}
.service-hero-title {
    padding-top: 350px;
    color: var(--btn-text);
}
.service-more-wrap {
    margin-top: 30px;
}
.service-more-btn {
   /* background: var(--text-color);*/
    background: var(--theme-color);
    color: var(--white);
}
.select2-container--default .select2-selection--single {
    height: 52px;
    border-radius: 30px;
    border-color: var(--text-color);
}
.select2-container--default.error .select2-selection--single {
    border-color: red;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    font-size: 14px;
    color: #000;
    line-height: 48px;
    padding-left: 21px;
}
.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: var(--placeholder-color);
    font-size: 14px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 13px;
    right: 10px;
}
.select2-results__option {
    font-size: 16px;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--theme-color);
}
.mb-address {
    gap: 20px;
    font-size: 16px;
}
.mb-address a {
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--theme-light);
}
.mb-address a:before {
    content: '';
    display: block;
    width: 24px;
    height: 24px;
    background-image: url(../images/file.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    flex-shrink: 0;
}
.mb-address a:last-child:before {
    display: none;
}
.mb-address a:hover {
    text-decoration: underline;
}
.service-block {
    padding: 25px 0;
    border-bottom: 1px solid;
}
.service-block-header {
    gap: 15px;
}
.service-block-title {
    font-size: 30px;
    color: var(--theme-color);
    font-weight: 700;
}
.service-toggle {
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    transition: 0.45s all ease;
}
.service-toggle svg {
    transition: 0.45s all ease;
}
.service-toggle:hover {
    color: var(--theme-color);
}
.service-toggle.active svg {
    transform: rotate(180deg);
}
.service-block-content {
    display: none;
    padding: 35px 15px;
    background: #eee;
    margin-top: 20px;
}
.about-page {
    margin-top: 40px;
}
.about-page-img {
    float: right;
    width: 35%;
    margin-left: 20px;
    margin-bottom: 20px;
}
.about-page-img-mob {
    display: none;
}
.agree-chk-wrap {
    display: flex;
    gap: 5px;
    font-size: 14px;
    color: var(--theme-dark);
}
.agree-chk-wrap a {
    color: inherit;
    text-decoration: underline;
}
.contact-form .agree-chk-wrap {
    color: #fff;
}
.agree-chk-wrap > label {
    position: relative;
}
.agree-chk-wrap > label > input {
    opacity: 0;
    z-index: -1;
    position: absolute;
}
.agree-chk {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 18px;
    background: #fff;
    border-radius: 3px;
    border: 1px solid var(--theme-dark);
    transition: 0.35s all ease;
}
.agree-chk:before {
    content: '';
    display: block;
    width: 12px;
    height: 12px;
    background: var(--theme-dark);
    border-radius: 2px;
    opacity: 0;
    transition: 0.35s all ease;
}
.agree-chk-wrap > label > input:checked + .agree-chk:before {
    opacity: 1;
}
.cookie-modal {
    background: var(--bg-color);
    box-shadow: 2px 0 6px 2px rgba(0,0,0,0.2);
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 9999999;
    display: inline-block;
    border-radius: 8px;
    width: 600px;
    max-width: 100%;
    margin: 10px;
}
.cookie-modal__content {
    font-size: 10px;
    padding: 5px 5px;
    text-align: center;
}
.cookie-modal__content p {
    margin: 0;
}
.cookie-modal__close {
    background: var(--text-color);
    font-size: 12px;
    color: var(--white);
    line-height: 1;
    border: none;
    padding: 3px 15px;
    margin-top: 5px;
    cursor: pointer;
    border-radius: 4px;
}
.cookie-modal__content a {
    color: var(--theme-color);
}
@media (max-width: 1919px) {
    .header-row {
        gap: 40px;
    }
}
@media (max-width: 1400px) {
    .header-row {
        gap: 25px;
    }
    .header-menu {
        gap: 30px;
    }
    .section-title {
        font-size: 69px;
    }
    .section-title span {
        margin-left: 30%;
    }
    .page-title {
        font-size: 130px;
    }
}
@media (max-width: 1240px) {
    .hero-content h1 {
        font-size: 32px;
    }
    .about-accord-header,
    .about-accord-text {
        padding-left: 20px;
    }
    .header-menu {
        gap: 25px;
    }
    .header-menu a,
    .header-contacts {
        font-size: 12px;
    }
    .page-title {
        font-size: 8vw;
    }
    .hero-slogan-part {
        font-size: 7vw;
    }
    .hero-slogan-part:first-child {
        top: 15px;
    }
    .hero-slogan-part:last-child {
        bottom: 20px;
    }
    .section-title {
        font-size: 36px;
    }
    .section-subtitle {
        font-size: 22px;
        margin-left: 30%;
    }
    .map-container {
        padding-left: 0;
    }
    .map-desc {
        padding-left: 0;
    }
    .portfolio-list,
    .services-row {
        grid-template-columns: repeat(10, 1fr);
        margin-top: 50px;
    }
    .portfolio-item,
    .service-item {
        grid-column: auto;
    }
    .portfolio-item:nth-child(3n + 1),
    .service-item:nth-child(3n + 1) {
        grid-column: span 4;
    }
    .portfolio-item:nth-child(3n + 2),
    .service-item:nth-child(3n + 2) {
        grid-column: span 6;
    }
    .portfolio-item:nth-child(3n + 3),
    .service-item:nth-child(3n + 3) {
        grid-column: 1 / -1;
    }
    .services-slider-container {
        margin-top: 0;
    }
    .main-cta .cta-form-wrap {
        padding-left: 30%;
    }
    .footer-row {
        gap: 50px;
    }
    .footer-title {
        font-size: 18px;
    }
    .portfolio-block {
        gap: 55px;
    }
    .portfolio-block:not(:last-child) {
        margin-bottom: 80px;
    }
    .work-page-info {
        margin-top: 35px;
        gap: 30px;
        margin-bottom: 70px;
        flex-wrap: wrap;
    }
    .work-page-gallery {
        flex-basis: 100%;
    }
    .work-page-desc {
        padding-left: 20%;
    }
    .work-page-next {
        align-self: flex-end;
    }
}
@media (max-width: 1120px) {
    .footer-row {
        justify-content: flex-start;
    }
    .footer-left {
        gap: 30px;
    }
    .footer-right {
        gap: 30px;
    }
}
@media (max-width: 992px) {
    .service-hero-desc {
        padding-bottom: 0 !important;
    }
    .service-hero-title {
        padding-top: 100px;
    }
    header .header-contacts {
        display: none;
    }
    .portfolio-page-text {
        font-size: inherit;
        margin-left: 20%;
        width: auto;
    }    
    .container {
        padding: 0 18px;
    }
    .header-row {
        gap: 20px;
    }
    .header-row  .logo-fixed {
        order: -1;
    }
    header.fixed .header-row {
        padding-top: 15px;
    }
    .header-menu {
        display: none;
    }
    .burger-button {
        display: block;
        width: 36px;
        height: 20px;
        background-image: url(../images/burger.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }
    .inner-header .burger-button {
        background-image: url(../images/burger2.svg);
    }
    .mobile-menu {
        display: block;
        position: fixed;
        top: 0;
        right: 0;
        background: var(--theme-color);
        width: 100%;
        height: 100vh;
        overflow-y: auto;
        transform: translateX(100%);
        transition: 0.4s all ease;
        z-index: 3;
    }
    .mobile-menu.shown {
        transform: translateX(0);
    }
    .mobile-menu-top {
        padding-top: 40px;
        gap: 20px;
    }
    .mobile-logo img {
        width: 50px;
    }
    .mobile-menu-close {
        display: block;
        width: 30px;
        height: 30px;
        background-image: url(../images/menu-close.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }
    .mobile-menu-body {
        margin-top: 85px;
        text-align: center;
    }
    .mobile-menu-links {
        gap: 20px;
    }
    .mobile-menu-links li a {
        color: var(--white);
        font-size: 22px;
        text-transform: uppercase;
        font-weight: 400;
    }
    .mobile-menu-links li.active a {
        color: var(--theme-light);
    }
    .parent-item-wrap {
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
    }
    .submenu-toggler {
        position: absolute;
        top: -3px;
        right: 60px;
        transition: 0.4s all ease;
    }
    .submenu-toggler.active {
        transform: rotate(180deg);
    }
    .mobile-submenu {
        display: none;
        margin-top: 10px !important;
    }
    .mobile-submenu > li > a {
        font-size: 16px;
        display: block;
        padding: 3px 0;
    }
    .mobile-menu-contact {
        margin-top: 30px;
        display: block;
        font-size: 22px;
        text-transform: uppercase;
        text-decoration: underline;
        color: var(--white);
    }
    .mobile-menu .header-contacts {
        margin-top: 20px;
    }
    .mobile-menu .header-contact {
        color: var(--white);
    }
    .why-sliders {
        gap: 30px;
        flex-direction: column;
    }
    .why-slider-images {
        width: 60%;
        order: -1;
        margin-right: 0;
    }
    .why-image-slide {
        height: auto;
    }
    .main-cta .cta-form-wrap {
        padding-left: 0;
        padding-bottom: 55px;
    }
    .catalog-top {
        padding-top: 100px !important;
    }
    .service-page .catalog-top {
        padding-top: 50px !important;
    }
    .services-slider-container {
        padding-left: 0;
    }
    .service-slide.swiper-slide-next {
        transform: scale(1);
        z-index: 1;
    }
    .service-slide.swiper-slide-active {
        transform: scale(1.13);
        z-index: 3;
    }
    .portfolio-block {
        flex-direction: column;
        gap: 20px;
    }
    .portfolio-block-data {
        gap: 10px;
        flex-direction: column;
        padding-left: 20%;
    }
    .portfolio-block-more {
        align-self: flex-end;
    }
    .page-title {
        margin-left: 0;
        text-indent: unset;
    }
    .works-top {
        padding: 0;
    }
    .works-desc {
        flex-basis: 100%;
    }
    .hero-desc {
        padding: 25px;
    }
    .hero-desc h1 {
        font-size: 40px;
    }
    .hero-intro {
        font-size: 20px;
    }
    .service-text {
        gap: 30px;
    }
    .portfolio-item-info {
        opacity: 1;
    }    
    .ceo-item img {
        width: 100%;
        height: auto;
        aspect-ratio: 4 / 5;
    }
    .ceo-container {
        gap: 30px;
        flex-direction: column;
    }
    .ceo-container .section-title {
        text-align: center;
        order: -1;
    }
    .mobile-phones {
        gap: 10px;
        margin-top: 40px;
    }
    .mobile-contact {
        font-size: 22px;
        text-transform: uppercase;
        color: var(--white);
    }
    .about-wrap {
        gap: 20px;
        flex-direction: column;
    }
    .about-img {
        width: 50%;
        margin: 0 auto;
        order: 2;
    }
    .team-row {
        grid-template-columns: repeat(2, 1fr);
    }
    .service-content {
        gap: 30px;
        grid-template-columns: repeat(1, 1fr);
    }
}
@media (max-width: 820px) {
    body {
        overflow-x: hidden;
    }
    .hero-pros {
        padding-bottom: 25px;
    }
    .section-title {
        font-size: 42px;
    }
    .portfolio-item {
        height: 360px;
    }
    .portfolio-item-title {
        font-size: 28px;
    } 
    .works-top {
        flex-direction: column;
    }
    .works-filters-wrap {
        padding-top: 0;
    }
    .work-item {
        width: 100%;
        height: 360px;
    }
    .pitem-desc {
        columns: 1;
    }
    .contacts-top h1 {
        font-size: 30px;
        margin-bottom: 0;
    }
    .why-text-slide {
        font-size: 20px;
    }
    .why-text-slide__title {
        font-size: 28px;
    }
    .section-title {
        font-size: 27px;
    }
    .section-title span {
        margin-left: 20%;
    }
    .section-subtitle {
        font-size: 16px;
        margin-left: 20%;
    }
    .services-section .section-subtitle {
        padding-right: 0;
    }
    .portfolio-item-title {
        font-size: 18px;
    }
    .about-num {
        font-size: 16px;
    }
    .about-num-title {
        font-size: 36px;
    }
    .service-slide-info {
        padding: 25px;
    }
    .service-slide-intro {
        font-size: 12px;
    }
    .service-slide-title {
        font-size: 20px;
        width: 100%;
    }
    footer {
        overflow: hidden;
    }
    .portfolio-item-info {
        padding: 12px;
    }
    .portfolio-block:not(:last-child) {
        margin-bottom: 40px;
    }
    .portfolio-block-intro {
        font-size: 12px;
    }
    .portfolio-block-region {
        font-size: 30px;
    }
    .portfolio-block-tags {
        font-size: 12px;
    }
    .portfolio-block-title {
        font-size: 30px;
        margin-bottom: 5px;
    }
    .portfolio-block-more {
        font-size: 15px;
    }
    .work-page-info {
        margin-top: 15px;
        gap: 15px;
    }
    .work-page-task {
        font-size: 19px;
        margin-bottom: 5px;
    }
    .work-page-next {
        font-size: 15px;
    }
    .about-nums {
        gap: 15px;
    }
    .work-slide-media {
        height: 350px;
    }
    .hero {
        height: auto;
        aspect-ratio: unset;
    }
    .hero-row {
        gap: 20px;
        flex-direction: column;
    }
    .hero-img {
        width: 100%;
        flex-shrink: 0;
        order: -1;
    }
    .hero-content .btn {
        width: 100%;
    }
    .about-accord-header_inner:after {
        width: 24px;
        height: 24px;
    }
    .project-slide {
        flex-direction: column;
        gap: 20px;
    }
    .project-slide-img {
        width: 100%;
        order: -1;
    }
    .footer-row {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .footer-left {
        flex-direction: column;
        align-items: center;
        flex-basis: 100%;
    }
    .footer-menu {
        align-items: center;
        text-align: center;
    }
    .footer-logo {
        width: 50px;
    }
    .footer-right {
        padding-top: 0;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .footer-socials {
        align-items: center;
    }
    .about-accord-header_inner {
        font-size: 18px;
    }
    .about-accord-header, .about-accord-text {
        padding-left: 0;
    }
    .about-img {
        width: 100%;
    }
    .about-page-img {
        display: none;
    }
    .about-page-img-mob {
        display: block;
        max-width: 100%;
        margin: 25px 0;
    }
    .cookie-modal {
        width: 100%;
    }
}
@media (max-width: 620px) {
    .section-header .section-title {
        margin-bottom: 20px !important;
    }
    .section-title {
        letter-spacing: 0;
    }
    .service-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 5px;
    }
    .service-header .section-title {
        text-align: left;
    }
    .service-header .btn {
        padding: 0;
    }
    .section-header,
    .section-title {
        margin-bottom: 40px;
    }
    .project-slide-info .btn svg {
        width: 100px;
    }
    .team-row {
        grid-template-columns: repeat(1, 1fr);
        gap: 30px;
    }
    .section-title span {
        margin-left: 30px;
    }
    .section-subtitle {
        margin-left: 0;
    }
    .section-portfolio .section-subtitle {
        width: 100%;
    }
    .header-contacts {
        gap: 10px;
        margin-left: auto;
        margin-right: 30px;
    }
    .header-contacts span {
        display: none;
    }
    .hero:not(.pitem-hero) {
        aspect-ratio: auto;
        height: auto;
    }
    .hero-slogan {
        display: flex    ;
        flex-direction: column;
        justify-content: center;
        gap: 200px;
    }
    .hero-slogan-part {
        font-size: 10vw;
    }
    .portfolio-list {
        gap: 5px;
    }
    .portfolio-item-info {
        padding: 8px;
    }
    .portfolio-item-title {
        font-size: 16px;
    }
    .portfolio-item-tag {
        font-size: 11px;
    }
    .section {
        padding: 50px 0;
    }
    .pitem-desc {
        margin-top: 40px;
    }
    .contacts-top {
        margin-bottom: 20px;
    }
    .contacts-data {
        gap: 20px;
    }
    .work-modal-body {
        padding: 25px;
    }
    .work-modal-header {
        gap: 20px;
        flex-direction: column;
        align-items: flex-start;
    }    
    .work-page-text {
        font-size: 12px;
    }
    .footer-title {
        font-size: 15px;
    }
    .footer-right {
        padding-top: 0;
    }
    .portfolio-item-info:after {
        width: 19px;
        height: 20px;
    }
    footer.is-floating .footer-right {
        padding-right: 0;
    }
    .ceo-container {
        margin-bottom: 30px;
    }
    .ceo-wrap {
        gap: 20px;        
    }
    .services-row {
        display: flex;
        flex-wrap: wrap;
        gap: 15px;
    }
    .service-item {
        width: 100%;
    }
    .work-page-gallery {
        gap: 5px;
    }
    .work-gallery-item {
        width: calc((100% - 10px) / 3);
    }
    .service-infoblock-delimeter {
        width: 50px;
    }
    .service-infoblock {
        font-size: 14px;
    }
    .service-infoblock-delimeter {
        width: 30px;
    }
    .service-infoblock-item h4 {
        font-size: 14px;
    }
    .service-infoblock-text {
        font-size: 12px;
    }
    .cookie-modal {
        margin: 0;
        bottom: 100px;
        width: calc(100% - 10px);
        right: 5px;
    }
}
@media (max-width: 540px) {
    body {
        font-size: 14px;
    }    
    .logo-fixed img {
        width: 90px;
    }
    .portfolio-item {
        height: 230px;
    }    
    .service-item {
        height: 400px;
    }
    .hero-desc h1 {
        font-size: 24px;
    }
    .hero-intro {
        font-size: inherit;
    }
    
    .works-modal-title {
        font-size: 20px;
    }
    .works-modal-close {
        width: 30px;
        height: 30px;
        font-size: 30px;
        top: -10px;
        right: -10px;
    }
    .section-title {
        font-size: 34px;
    }
    .why-text-slide__title {
        font-size: 15px;
    }
    .why-text-slide {
        font-size: 12px;
    }
    .why-slider-next {
        width: 18px;
        height: 32px;
        margin-top: -16px;
    }
    .why-slider-next:after {
        font-size: 30px;
    }
    .why-slider-text {
        padding-right: 50px;
    }
    .cta-section-title {
        font-size: 27px;
        line-height: 1.17;
    }
    .services-slider {
        padding: 50px 0;
    }
    .service-item-info {
        padding: 12px;
    }
    .service-item-title {
        font-size: 18px;
    }
    .service-item-desc {
        font-size: 13px;
    }
    .hero-content h1 {
        font-size: 24px;
    }
}
@media (max-width: 440px) {
    .section {
        padding: 25px 0;
    }
    .portfolio-item {
        height: 163px;
    }
    .service-item {
        height: 320px;
    }
    .portfolio-item:nth-child(3n + 3) {
        height: 110px;
    }
    .portfolio-item-info {
        gap: 5px;
    }
    .portfolio-item-tags {
        gap: 3px;
    }
    .portfolio-item-tags {
        gap: 1px;
    }
    .portfolio-item-tag {
        font-size: 8px;
    }
    .works-list,
    .pitem-desc {
        margin-top: 20px;
    }
    .why-item {
        padding: 15px;
    }
    .work-item-desc {
        padding: 15px;
    }
    .contacts-top h1 {
        font-size: 24px;
    }
    .works-modal-title {
        font-size: 18px;
    }
    .section-subtitle {
        font-size: 16px;
    }
    .map-section .section-subtitle {
        margin-left: 0;
    }
    .about-nums {
        align-items: center;
    }
    .about-num {
        font-size: 12px;
    }
    .about-num-title {
        font-size: 30px;
    }
    .about-num-delimeter img {
        height: 120px;
    }
    .service-slide-info {
        padding: 15px;
    }
    .service-slide-intro {
        font-size: 10px;
        padding: 3px 7px;
        line-height: 1;
    }
    .service-slide-title {
        font-size: 16px;
        width: 100%;
    }
    .page-title {
        font-size: 12vw;
    }
    .mobile-menu-top {
        align-items: center;
    }
    .mobile-logo img {
        width: 60px;
    }
    .footer-row {
        gap: 10px;
        justify-content: space-between;
    }
    .footer-title {
        font-size: 12px;
    }
    .footer-item a {
        font-size: 11px;
    }
    .work-slide-media {
        height: 270px;
    }
    .portfolio-list, 
    .services-row {
        margin-top: 30px;
    }
}
@media (max-width: 360px) {
    .section-title {
        font-size: 20px;
    }
    
}